メインコンテンツへスキップ
GET
/
api
/
v1
/
policies
/
{id}
Get Policy
curl --request GET \
  --url https://api.agentwallex.com/api/v1/policies/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "agent_id": "<string>",
  "type": "spending_limit",
  "rules": {
    "max_transaction_amount": "<string>",
    "daily_limit": "<string>",
    "monthly_limit": "<string>",
    "allowed_addresses": [
      "<string>"
    ],
    "blocked_addresses": [
      "<string>"
    ],
    "allowed_tokens": [
      "<string>"
    ],
    "max_count": 123,
    "window_seconds": 123,
    "timezone": "<string>",
    "allowed_hours": {
      "start": 11,
      "end": 11
    },
    "allowed_days": [
      4
    ],
    "threshold": "<string>",
    "timeout_seconds": 123,
    "approvers": [
      "jsmith@example.com"
    ]
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

パスパラメータ

id
string
必須
ポリシー ID(例:pol_abc123)。

curl -X GET https://api.agentwallex.com/api/v1/policies/pol_abc123 \
  -H "X-API-Key: awx_your_api_key"

承認

X-API-Key
string
header
必須

API key authentication. Keys are prefixed with awx_.

パスパラメータ

id
string
必須

The policy ID (e.g., pol_abc123).

レスポンス

Policy details.

A policy that controls what transactions an agent is allowed to execute.

id
string

Unique policy identifier (e.g., pol_abc123).

agent_id
string

Agent this policy is attached to.

type
enum<string>

Policy type.

利用可能なオプション:
spending_limit,
address_control,
token_control,
velocity_control,
schedule,
human_approval
rules
object

Policy rules object. Structure depends on the policy type.

created_at
string<date-time>

ISO 8601 creation timestamp.

updated_at
string<date-time>

ISO 8601 last-update timestamp.